Configuration
Information relating to configuring AWS Role based authentication. Provides Netography's Account Id, sts:ExternalId and an example usage in a custom trust policy. Role based AWS authentication can be used in Flow Sources and Context Integrations.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
400
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
application/json
401
Access token is missing or invalid
application/json
403
Access is forbidden
application/json
default
Unknown Error Occurred
application/json
get/api/v1/integrations/aws/role
GET /api/v1/integrations/aws/role HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"netography_aws_acountid": "text",
"externalid": "text",
"aws_trust_policy_example": "text"
}
}Last updated